.reservation-cta {
  position: relative;
  background-color: var(--color-tan-forest);
  margin: 96px 32px;
  padding: 65px;
  max-width: var(--max-width-content);
  text-align: center;
  border-radius: 155px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  width: calc(100% - 64px);
  box-sizing: border-box;
  margin-left: auto;
  margin-right: auto;
}

.reservation-cta::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: url(https://chatyforrest.sk/wp-content/themes/chatyforrest/assets/images/pattern.svg);
  background-size: 51%;
  background-repeat: repeat;
  background-position: top;
  opacity: 0.02;
  z-index: 0;
  border-radius: 155px;
}

.cta-box {
  position: relative;
  z-index: 1;
  width: 100%;
  max-width: var(--max-width-content);
}

.cta-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 64px;
}

.cta-text {
  font-size: 36px;
  font-weight: bold;
  color: #000;
  margin: 0;
  font-family: "TheSeasons", serif;
  flex: 1;
  text-align: left;
}

.cta-button {
  font-size: 16px;
  font-weight: bold;
  background-color: #272727;
  color: #ffffff;
  padding: 12px 24px;
  border-radius: 100px;
  transition: background-color 0.3s ease;
  text-transform: uppercase;
  white-space: nowrap;
}

.cta-button:hover {
  background-color: var(--color-tan-forest);
  color: #000;
}

@media (max-width: 992px) {
  .reservation-cta {
    margin: 64px 20px;
    padding: 35px 40px;
    width: calc(100% - 40px);
    margin-left: auto;
    margin-right: auto;
  }

  .cta-content {
    flex-direction: column;
    gap: 5px;
    text-align: center;
  }

  .cta-text {
    font-size: 28px;
    text-align: center;
  }

  .cta-button {
    width: 100%;
    max-width: 300px;
  }
}

@media (max-width: 576px) {
  .reservation-cta {
    padding: 24px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 32px;
  }
  .cta-text {
    font-size: 23px !important;
  }

  .cta-button {
    font-size: 14px;
    padding: 10px 20px;
  }
}
